/*
   Projet de simulation d'inondation.
   
   Version C++ utilisant QT et OpenGL.
   
   10 Avril 2004

   (C) Eric Beaudry & Universit de Sherbrooke 2004.
*/

#if !defined(__PROPAGATION_H__)
#define __PROPAGATION_H__

#include "terrain.h"

class ModeleSimple{
   public:
      ModeleSimple(double rate=0.5);
      ~ModeleSimple();
      
      void step(Terrain* terrain);
      void setRate(double r);
   
   protected:
      double   rate;
      int      width, height;
      double*  delta;
};

#endif // __PROPAGATION_H__
